[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.UnshareImage

Unshares a shared image when its handle is changed or the save stream is freed.

## Declaration

Source position: graphics.pp line 1288

`protected procedure TRasterImage.UnshareImage(`
`CopyContent: Boolean`
`); virtual; abstract;`

## Description

UnshareImage - stops an image from being shared: if CopyContent is True, the Image gets copied. Declared as an abstract virtual method. Must be implemented in a descendent class.